%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

%define upstream_version 11.0.0-SNAPSHOT.20210504201650
%define rpm_version 11.0.0.20210504201650

Name:           airsonic-advanced
Version:        %{rpm_version}
Epoch:          1
Release:        %{mybuildnumber}%{?dist}
Summary:        A music media server
Group:          Applications/Multimedia

License:        GPLv3
URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/releases/download/%{upstream_version}/airsonic.war
Source1:        %{name}.service
Source2:        %{name}-systemd-env

BuildArch:      noarch

BuildRequires:  systemd-rpm-macros
BuildRequires:  /usr/bin/jar

Requires:       jre-16

%description
Airsonic is a multimedia server that transcodes media and plays it back in a browser or in a mobile device.
Airsonic Advanced is the next generation of Airsonic.

%prep
true

%build
true

%install
mkdir -p "%{buildroot}"/%{_datadir}/%{name}
mkdir -p "%{buildroot}"/%{_unitdir}
mkdir -p "%{buildroot}"/%{_sysconfdir}/sysconfig
mkdir -p "%{buildroot}"/%{_sharedstatedir}/%{name}/
cp "%{SOURCE0}" "%{buildroot}"/%{_datadir}/%{name}/
pushd "%{buildroot}"/%{_datadir}/%{name}/
jar -xf ./airsonic.war
rm -f ./airsonic.war
popd
cp "%{SOURCE1}" "%{buildroot}"/%{_unitdir}/
cp "%{SOURCE2}" "%{buildroot}"/%{_sysconfdir}/sysconfig/%{name}

%pre
getent group %{name} >/dev/null || groupadd -r %{name} || :
getent passwd %{name} >/dev/null || \
  useradd -c "Airsonic Advanced system user" -g %{name} \
  -s /sbin/nologin -r -d /var/lib/%{name} %{name} 2> /dev/null || :

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%defattr(-, root, root)
%{_datadir}/%{name}/*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %attr(770, %{name}, %{name}) %{_sharedstatedir}/%{name}

%changelog
* Sat May 23 2020  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial release.
